import unittest

from interface.storage.Snapshot import Snapshot


class TestSnapshot(unittest.TestCase):

    def test_fields(self):
        snapshot = Snapshot('id', 'volume_id', 1, 'status', 'created_at')

        self.assertEqual(snapshot.id, 'id')
        self.assertEqual(snapshot.volume_id, 'volume_id')
        self.assertEqual(snapshot.size, 1)
        self.assertEqual(snapshot.status, 'status')
        self.assertEqual(snapshot.created_at, 'created_at')


if __name__ == '__main__':
    unittest.main()
